// BWCurveWindowController.h -- mediate between the window controls
//				and the BWCurveCanvas that shows the
//				interesting stuff

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>

@class BWCurveCanvas;

@interface BWCurveWindowController : NSWindowController 
{
    IBOutlet	BWCurveCanvas	*curveCanvas;
    IBOutlet	NSButton	*pinPointsButton;
    IBOutlet	NSSlider	*flatnessSlider;
}

- (IBAction) pinPoints: (id) sender;
- (IBAction) resetPoints: (id) sender;
- (IBAction) setFlatness: (id) sender;
- (IBAction) setFill: (id) sender;

@end // BWImageWindowController

