// BWLineJoin(View).h -- Show different line joins, and play with the
//                       miter limit

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license


#import <Cocoa/Cocoa.h>


@interface BWLineJoin : NSView 
{
    NSBezierPath       *path;
}

- (void) setLineWidth: (float) lineWidth;
- (void) setMiterLimit: (float) miterLimit;
- (void) setLineJoinStyle: (NSLineJoinStyle) style;

@end // BWLineJoin


